--[[--
@module MyDungeonsBook
]]

--[[--
UI
@section UI
]]

--[[--
Creates a frame for Talents for each party member

@param[type=Frame] parentFrame
@param[type=number] challengeId
@return[type=Frame]
]]
function MyDungeonsBook:TalentsPartyMembersFrame_Create(parentFrame, challengeId)
    local talentsPartyMembersFrame = self:TabContentWrapperWidget_Create(parentFrame);
    talentsPartyMembersFrame.tabButtonsFrame = self:TalentsPartyMembersFrame_CreateTabButtonsFrame(talentsPartyMembersFrame, challengeId);
    talentsPartyMembersFrame.tabButtonsFrame:SelectTab("player");
    return talentsPartyMembersFrame;
end
